---
title: "Retrieve PM Daily Journal User Defined Data By Code"
slug: "retrieve-pm-daily-journal-user-defined-data-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pm-daily-journal-user-defined-data-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PM Daily Journal User Defined Data By Code

Get/pm-rest-api/rest/1/pmdailyjourudd

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Journal
- By UUID

#### Select By Journal

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| journalVuuid | Journal Vuuid | B0452C6DE29B8383E053B08610AC431F |

#### By UUID

This is an optional finder for querying a specific PM Daily Journal Transaction by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /pm-rest-api/rest/1/pmdailyjourtran/BEC6B7B30BFD1977E05316821FAC7735 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByJournal; JournalVuuid=B0452C6DE29B8383E053B08610AC431F
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePmffdVUuid

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='097ea261-d675-4242-b734-7047831b1739'>application/json</option>
</select>

```json
{
  "items": [
    {
      "PmffdField1": "- See Activity List above. ",
      "PmffdField2": "- All Activities went according to schedule. Tomorrow is expected to be the same.   ",
      "PmffdField3": null,
      "PmffdField4": null,
      "PmffdField5": null,
      "PmffdField6": "- None",
      "PmffdIuCreateDate": "2015-05-25T19:10:11Z",
      "PmffdIuUpdateDate": "2022-11-02T22:07:21Z",
      "PmffdObjectType": "PMDAYJR",
      "PmffdSetType": "PMJGENERAL",
      "PmffdVUuid": "BEC6B7AD12831977E05316821FAC7735",
      "PmffdJourVuuid": "B0452C6DE29B8383E053B08610AC431F",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmdailyjourudd/BEC6B7AD12831977E05316821FAC7735",
          "name": "pmdailyjourudd",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmdailyjourudd/BEC6B7AD12831977E05316821FAC7735",
          "name": "pmdailyjourudd",
          "kind": "item"
        }
      ]
    },
    {
      "PmffdField1": "One Issue Reported: - At 1:00pm Carlos Smith was complaining about back pain after assisting his team to set up a large piece of equipment. - He was checked out by our first aid rep and determent that he has pulled a muscle in his back - HR was onsite within the hour and filled our a report. It was attached this journal entry - At 2:15pm Carlos was sent home to rest. - It is unknown when he will be able to return back to work - I have called back to main office to find a replacement. - My team and I have reviewed the set-up process of the piece of equipment and determined that it is safe for the rest of the team to continue. ",
      "PmffdField2": "None. See above for details of today's accident.",
      "PmffdField3": "Yes. 1 Accident form was filled out. I attached it to this journal entry.",
      "PmffdField4": null,
      "PmffdField5": "None.   ",
      "PmffdField6": null,
      "PmffdIuCreateDate": "2015-05-25T19:17:04Z",
      "PmffdIuUpdateDate": "2016-06-06T03:44:58Z",
      "PmffdObjectType": "PMDAYJR",
      "PmffdSetType": "PMJOURSFTY",
      "PmffdVUuid": "BEC6B7AD12841977E05316821FAC7735",
      "PmffdJourVuuid": "B0452C6DE29B8383E053B08610AC431F",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmdailyjourudd/BEC6B7AD12841977E05316821FAC7735",
          "name": "pmdailyjourudd",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmdailyjourudd/BEC6B7AD12841977E05316821FAC7735",
          "name": "pmdailyjourudd",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 2,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmdailyjourudd",
      "name": "pmdailyjourudd",
      "kind": "collection"
    }
  ]
}
```

object
